Goldstar Logo
Your Source for PSQL Database Products, Services and Training Since 1997 EMail: Sales@goldstarsoftware.com 
Phone: 1-708-647-7665 
Web Site Login 
Free PSQL Support
Quick Links
Database Engines
+ Actian Zen v13
+ Actian PSQL v13
+ Actian PSQL v12
+ Actian PSQL v11
+ Pervasive PSQL v10
+ Pervasive PSQL v9
+ Pervasive.SQL V8
+ Pervasive.SQL 2000i
+ Pervasive.SQL 7
+ Btrieve v12
+ Btrieve 6.15

+ Data Protection Products

+ Goldstar Software Services

+ Goldstar Software Tools

+ Other Solutions

AMS Users: Click Me Fix My PSQL License Repair PSQL Files Get Support Now Join Our Mailing List

Navigation Background

Application Support for Retalix


Software Vendor: Retalix
Application Versions: ScanMaster v2.09.00

Important Notes from Retalix:

At this time, Retalix does not support the use of virtual servers or the Pervasive PSQL Vx Server 11 product. All servers should be deployed to physical computers using Pervasive PSQL v11 until this policy changes.

At this time, Retalix does not support the use of a Workgroup Engine on the database server, even for smaller user environments with 5 or fewer workstations, due to the limited security available on the Workgroup Engine. All database servers should be deployed with Pervasive PSQL v11 server engines until this policy changes.

At this time, Retalix does not support the use of the 64-bit Server Engine, and recommends 32-bit operating systems when possible. Note that all Pervasive PSQL v11 licenses will install to EITHER 32-bit or 64-bit servers and engines, so if this policy changes in the future, there will be no cost to switch to the 64-bit database engine. The 32-bit engine will be limited to using only 2GB of RAM on a 32-bit OS, or 4GB of RAM on a 64-bit OS. Otherwise, it will provide similar functionality and should not matter for smaller databases.

QUICK LINKS FOR PERVASIVE PSQL v11 USERS:

  • Download 30-Day Evaluation License of Pervasive PSQL v11: This link allows you to download a 30-day evaluation license of the PSQLv11 database engine and components. POS systems and back office workstations currently require the PSQL v11 Workgroup Engine. Database servers require the Server Engine. Normally, you would download the Server Engine bit level that matches your OPERATING SYSTEM, but Retalix does not yet support the use of the 64-bit engine. Either download and install the 32-bit engine, or contact Retalix to request a review of this policy.

QUICK LINKS FOR PERVASIVE PSQL SUMMIT v10 USERS:


RETALIX SOFTWARE & HARDWARE REQUIREMENTS

Here is the most current information on the requirements for operating Retalix (as of June, 2013).

Server Operating Systems: 
- Windows XP SP3, Windows 7 Professional, and Windows Server 2008 (32-bit only)

POS Operating Systems: 
- Windows XP Embedded SP3
- POSReady 7

Back-Office Computer Operating Systems: 
- Windows XP SP3, Windows 7 Professional, and Windows Server 2008 (32-bit only)

Pervasive PSQL database:
- PSQLv10: 32-bit
- PSQLv11: 32-bit

A minimum of 4 GB RAM is recommended for both client/workstations and the server.


The Retalix application uses the Pervasive database engine to provide world-class performance and flexibility to their application development efforts. Retalix allows users to purchase software through any suitable reseller, but they recommend Goldstar Software because of the additional support we provide. We have worked extensively with the Pervasive product lines over the years and are in an excellent position to help you get your software installed and running quickly.

Installation of the Pervasive database is easy -- download the 30-day trial of the software, run it, follow the prompts, then reboot. This trial can be converted to a full installation simply by applying your license key, but you can also order a physical CDROM for a nominal charge.

For the database server, you want the Pervasive Server Engine, which is available with user counts of 6, 10, 20, and more. (Although the Workgroup Engine is capable of supporting small workgroups of up to 5 concurrent users at a much lower cost, Retalix does not currently support this configuration.) The Server Engine also provides additional performance and security over the WGE, and should be considered even for smaller sites looking to grow in the future. The Server Engine requires the use of a Windows 2000/2003/2008. We also recommend making sure that you meet the Pervasive.SQL Pre-Requisites list on your network before upgrading.

For each POS lane and back-office/admninistrative computer, you need the WorkGroup Engine (WGE) with a 1-User license. The POS systems use this engine to hold some data locally -- a critical feature in case the server or network goes down and you have customers waiting!

For pricing, please refer to our price list for Pervasive PSQL v11 or contact us for an exact quote!

Pervasive PSQL Summit v10 has been discontinued by and is now unsupported by Pervasive Software. PSQLv10.31 is the current version, and is supported by both Retalix and Goldstar Software as well. The PSQLv10 software does NOT support running on Windows 95, 98, ME, or NT, so sites with older computers may be forced to upgrade their operating systems first. Also, please note that Windows 2000 users must have SP4, and Windows XP users must have SP2 to install this release. Users should also obtain the latest patch, indicated above. Windows 2008 Server, Vista, and 7 operating systems require the use of PSQL v10.30 or higher.

Pervasive PSQL v11 is the latest Retalix-supported database engine and is a paid upgrade from older versions. PSQLv11 is the best platform if you are running Windows Vista, Windows 7, or Windows Server 2008. The PSQLv11 software does NOT support running on Windows 2000 or older, so sites with older computers may be forced to upgrade their operating systems first. Users should also obtain the latest patch, indicated above.

Pervasive PSQL Versions: Here is the table of the versions of PSQL that are supported for use with Retalix as of June, 2013:

Database Engine Version v2.09.00 Older
Pervasive.SQL V8 (8.5, 8.6, 8.7) NO YES
Pervasive PSQL v9 NO YES
Pervasive PSQL Summit v10 32-bit YES YES
Pervasive PSQL v11 32-bit YES YES
Pervasive PSQL v11 64-bit NO NO
Pervasive PSQL Vx 32/64-bit NO NO

There are a few points of interest:

  1. Installation Tip: Retalix has found a possible conflict with the Cache Engine feature of Pervasive PSQL. After installation of the Workgroup Engine (or the client components in a Server Engine), you should disable the Client-Side Cache feature by following these steps from each computer on your network:
    • Start the Pervasive Control Center (Start/Run/PCC.EXE)
    • On the Welcome screen, click on the option "Configure Microkernel Router".
    • Click on the heading (on the left) for "Performance Tuning".
    • On the right side of the window, Uncheck "Use Cache Engine" to disable the CCE.
    • Click OK or APPLY, exit the PCC, and restart your computer to ensure that the changes take effect.
  2. Performance Tip: If you have a very old system, you may wish to consider upgrading your database files to the v9.5 file format. See our white paper on this topic for more information. If you have a very old database with 5.x files, you are REQUIRED to rebuild files to maintain compatibility with PSQLv9 or newer.
  3. Status Code 161 After Installation: If you are getting a Status 161 (Licensing Error) after installing Pervasive, then your database license may not be properly applied. Go to the database server and start the Pervasive License Administrator (which you'll find in the Start/Programs/Pervasive programs group) and check the license count showing on this screen. If you do not see a permanent license with the correct user count, then you will need to apply your license. See your invoice or packing slip for your Registration Keycode, and enter this string into the boxes provided, then click "Add License". You should then see the proper license count. See our License Troubleshooting White Paper for more information.

If you need help with installing or patching your database engine, Goldstar Software also provides update services via the Internet for a fixed fee. See our Installation Services page for more details. If you are running PeachTree Accounting or other PSQL applications, then we strongly recommend using our installation services, as PeachTree can make installing a bit more of a challenge.

If you are a software vendor and would like to add, remove, or modify your information on these pages, we'll be happy to oblige. Simply contact us directly!

  Copyright © 1997-2017, Goldstar Software Inc., All rights reserved. PRODUCTS | SERVICES | TRAINING | SUPPORT | DOWNLOADS | ABOUT US  
Goldstar Software Inc. | 3007 Carmel Dr | Flossmoor IL 60422 Legal Statements | EULAs | Uninstall | Privacy Statements | Contact Us